{
	"name": "form/nc/erp-sync/aj-mes/column/order_row-sales.json",
	"option": {
		"grid_option": {
			"cell_class_rules": {
				"nc-grid-cell-changed": "data.link_rec && colDef.change_compare !== false && recDataDifferent(data.link_rec, colDef, x)"
			},
			"row_class_rules": {
				"nc-grid-row-changed": "data.change_status == 'changed'",
				"nc-grid-row-deleted": "data.change_status == 'deleted'",
				"nc-grid-row-equal": "data.change_status == 'equal'",
				"nc-grid-row-new": "data.change_status == 'new'"
			}
		}
	},
	"column": [
		{
			"change_compare": false,
			"icon": "nc-link-icon",
			"link_field": "prma.record_id",
			"name": "Row",
			"record_type": "estimated",
			"variable": "idx",
			"width": 65
		},
		{
			"export": false,
			"name": "Status",
			"variable": "change_status",
			"editable": false,
			"width": 60
		},
		{
			"export": false,
			"name": "Change field",
			"variable": "change_field",
			"editable": false,
			"width": 130
		},
		{
			"change_compare": false,
			"name": "Id",
			"field": "prma.json_data.id",
			"width": 28,
			"organization_id": { "": { "load": false } }
		},
		{
			"change_compare": false,
			"field": "prma.json_data.erp_status",
			"name": "Erp",
			"width": 28,
			"organization_id": { "": { "load": false } }
		},
		{
			"change_compare": false,
			"field": "prma.json_data.mes_status",
			"name": "Mes",
			"width": 28,
			"organization_id": { "": { "load": false } }
		},
		{
			"change_compare": false,
			"variable": "state",
			"name": "State",
			"width": 35
		},
		{
			"change_compare": false,
			"field": "pro.production_order_id",
			"name": "Prod. ord.",
			"width": 45,
			"organization_id": { "aj-mes": { "field": "prma.json_data.production_order_number" } }
		},
		{
			"change_compare": false,
			"field": "prma.row_number",
			"name": "Row",
			"width": 28
		},
		{
			"field": "prma.material_id",
			"name": "Material",
			"width": 60
		},
		{
			"field": "pr.name",
			"name": "Name",
			"width": 160,
			"organization_id": { "aj-mes": { "field": "prma.json_data.product_name" } }
		},
		{
			"field": "prma.unit",
			"name": "Unit",
			"width": 40
		},
		{
			"field": "prma.cost_price",
			"name": "Cost price",
			"format": "%'.2f",
			"width": 50
		},
		{
			"field": "prma.amount",
			"name": "Amount",
			"format": "%'.2f",
			"width": 40
		},
		{
			"field": "pr.json_data.supplier_product_code",
			"name": "Supplier material",
			"width": 100,
			"organization_id": { "aj-mes": { "field": "prma.json_data.supplier_product_code" } }
		},
		{
			"change_compare": false,
			"field": "prma.json_data.create_user",
			"name": "Created by",
			"width": 50,
			"organization_id": { "": { "load": false } }
		},
		{
			"change_compare": false,
			"field": "prma.create_time",
			"name": "Created",
			"width": 90,
			"organization_id": { "": { "load": false } }
		},
		{
			"change_compare": false,
			"field": "prma.record_id",
			"name": "Record id",
			"width": 80,
			"organization_id": { "aj-mes": { "load": false } }
		}
	],
	"column-niu": [
		{
			"change_compare": false,
			"field": "pro.json_data.production_order_number",
			"name": "Work order",
			"width": 50,
			"organization_id": { "aj-mes": { "load": false } }
		}
	]
}
